-- Самый строгий уровень изоляции, здесь мы рассматриваем все возможные условия. В документации Postgres’a пишут:
-- при параллельном выполнении несколько сериализуемых транзакций должны гарантированно выдавать такой же результат,
-- как если бы они запускались по очереди в некотором порядке. Те у нас есть транзакция которая читает таблицу, а другая
-- транзакция пытается изменить данные в этой таблице. Но вторая транзакция не будет исполнятся пока не закончит
-- исполнение 1. Мы получаем максимальную согласованность данных, никакие лишние данные не зафиксируются,
-- но при этом мы теряем в скорости, так как транзакции блокируются.


-- transaction 1;
SELECT * FROM customers;

-- transaction 2
BEGIN;
set transaction isolation level serializable;
UPDATE customers SET name = ‘Petya’ where id = 228;
-- ERROR:  could not obtain lock on row in relation "accounts"
